Get Entry Nodes
curl --request GET \
--url https://app.splox.io/api/v1/workflows/{id}/entry-nodes \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.splox.io/api/v1/workflows/{id}/entry-nodes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.splox.io/api/v1/workflows/{id}/entry-nodes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nodes": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"label": "<string>",
"pos_x": 123,
"pos_y": 123,
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"extent": "<string>",
"data": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]
}Workflows
Get Entry Nodes
Retrieves the entry nodes for a workflow version. The id parameter is a workflow version ID, not a workflow ID.
GET
/
workflows
/
{id}
/
entry-nodes
Get Entry Nodes
Retrieves the entry nodes for a workflow version. The entry node ID is required when running a workflow via
Most workflows have a single entry node. Workflows with multiple entry points will return all top-level entry nodes.
POST /workflow-requests/run.
Usage
curl https://app.splox.io/api/v1/workflows/019c3221-29da-7d08-93fa-c48dbaa8b1db/entry-nodes \
-H "Authorization: Bearer YOUR_TOKEN"
from splox import SploxClient
client = SploxClient(api_key="YOUR_API_KEY")
result = client.workflows.get_entry_nodes("WORKFLOW_VERSION_ID")
for node in result.nodes:
print(node.id, node.label)
import Splox from "splox";
const client = new Splox("YOUR_API_KEY");
const { nodes } = await client.workflows.getEntryNodes("WORKFLOW_VERSION_ID");
for (const node of nodes) {
console.log(node.id, node.label);
}
client := splox.NewClient("YOUR_API_KEY")
result, err := client.Workflows.GetEntryNodes(ctx, "WORKFLOW_VERSION_ID")
for _, node := range result.Nodes {
fmt.Println(node.ID, node.Label)
}
The
id path parameter is a workflow version ID (not a workflow ID). Get the version ID from Get Latest Version or List Workflows.Path Parameters
| Parameter | Type | Description |
|---|---|---|
id | string (uuid) | Workflow version ID |
Response
{
"nodes": [
{
"id": "019c3221-29dc-7735-a4e3-b42ebb1a0cf1",
"workflow_version_id": "019c3221-29da-7d08-93fa-c48dbaa8b1db",
"node_type": "start",
"label": "Basic Agent",
"pos_x": 100.0,
"pos_y": 200.0,
"data": {},
"created_at": "2025-10-22T10:00:00Z",
"updated_at": "2025-10-22T10:00:00Z"
}
]
}
Typical Usage
Use this endpoint to discover theentry_node_id needed for Run Workflow:
# 1. Get latest version
VERSION_ID=$(curl -s https://app.splox.io/api/v1/workflows/$WORKFLOW_ID/versions/latest \
-H "Authorization: Bearer $TOKEN" | jq -r '.id')
# 2. Get entry node
ENTRY_NODE_ID=$(curl -s https://app.splox.io/api/v1/workflows/$VERSION_ID/entry-nodes \
-H "Authorization: Bearer $TOKEN" | jq -r '.nodes[0].id')
# 3. Run workflow
curl -X POST https://app.splox.io/api/v1/workflow-requests/run \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d "{
\"workflow_version_id\": \"$VERSION_ID\",
\"chat_id\": \"$CHAT_ID\",
\"entry_node_id\": \"$ENTRY_NODE_ID\",
\"query\": \"Hello!\"
}"
Notes
Authentication required: The authenticated user must own the workflow.
Authorizations
API token generated from your Splox account settings. Create tokens at https://app.splox.io/account?tab=settings
Path Parameters
Workflow version ID
Response
Entry nodes retrieved successfully
Show child attributes
Show child attributes
⌘I

